सामग्री पर जाएँ

Kandinsky5 Pro · Text to Video

इंटीग्रेट करें

मॉडल id kandinsky5-pro/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kandinsky5-pro/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.20 200 API क्रेडिट · ≈ ₽21.52 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें

3:2, 1:1 या 2:3 आस्पेक्ट रेशियो के साथ 512P या 1024P पर Kandinsky 5 Pro टेक्स्ट-टू-वीडियो

Sber AI · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

वीडियो निर्माण का मार्गदर्शन करने वाले टेक्स्ट निर्देश।

resolution डिफ़ॉल्ट 512P

वीडियो का रिज़ॉल्यूशन: 512p या 1024p चुनें।

aspect_ratio डिफ़ॉल्ट 3:2

आउटपुट वीडियो का आस्पेक्ट रेशियो; 3:2, 1:1 या 2:3 चुनें।

डिफ़ॉल्ट 5s

बनाए जा रहे वीडियो की अवधि।

उन्नत acceleration · num_inference_steps · seed · enable_safety_checker
acceleration डिफ़ॉल्ट regular

गति बढ़ाने के लिए उपयोग किया जाने वाला निर्माण त्वरण स्तर।

डिफ़ॉल्ट 28

inference के लिए उपयोग किए गए चरणों की संख्या।

निर्माण के लिए seed, जब तक आप कोई मान न दें, इसे रैंडम रूप से चुना जाता है।

POST /run/kandinsky5-pro/text-to-video?wait=20 कोटेशन → $0.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kandinsky5-pro/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Kandinsky5 Pro · Text to Video के बारे में

Pro मॉडल का उपयोग करके टेक्स्ट `prompt` से वीडियो बनाता है। `resolution` 512P या 1024P और `aspect_ratio` 3:2, 1:1 या 2:3 चुनें। `duration` डिफ़ॉल्ट रूप से 5s है, `num_inference_steps` 50 तक जाता है (डिफ़ॉल्ट 28), और `acceleration` none या regular होता है। `seed` वैकल्पिक है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
वीडियो निर्माण का मार्गदर्शन करने वाले टेक्स्ट निर्देश।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट512P
512P1024P
वीडियो का रिज़ॉल्यूशन: 512p या 1024p चुनें।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्ट3:2
3:21:12:3
आउटपुट वीडियो का आस्पेक्ट रेशियो; 3:2, 1:1 या 2:3 चुनें।
durationवैकल्पिक
प्रकारstring
डिफ़ॉल्ट5s
बनाए जा रहे वीडियो की अवधि।
num_inference_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट28
1 – 50
inference के लिए उपयोग किए गए चरणों की संख्या।
accelerationवैकल्पिक
प्रकारenum
डिफ़ॉल्टregular
noneregular
गति बढ़ाने के लिए उपयोग किया जाने वाला निर्माण त्वरण स्तर।
seedवैकल्पिक
प्रकारinteger | null
निर्माण के लिए seed, जब तक आप कोई मान न दें, इसे रैंडम रूप से चुना जाता है।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kandinsky5-pro/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size} | nullनिर्माण से तैयार की गई वीडियो फ़ाइल।
seed
integerनिर्माण के दौरान लागू किया गया सीड मान।

और मॉडल: टेक्स्ट से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/kandinsky5-pro/text-to-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt